Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key Ring APIs

Updating a Google Cloud Key Ring

search

Updating a Google Cloud Key Ring

Use the patch /v1/cckm/google/key-rings/{id} API to update the details of a Google Cloud key ring with a given ID. This operation requires connection to have appropriate access permissions on the Google Cloud key ring.

Syntax

curl -k '<IP>/api/v1/cckm/google/key-rings/{id}' -X PATCH -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "<connection>"\n}' --compressed

Here, {id} represents the resource ID of the Google key ring on the CipherTrust Manager.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
connection string Name or ID of the new Google Cloud connection.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/key-rings/0545492c-ebcc-4c0e-a456-b335b6fbdd3d' -X PATCH -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjNkNWM4OWYzLTM1OWYtNGZmYS04ZTMyLWMxZjk0NTIyMWYzNiIsImlhdCI6MTYyMDE5NTY0NCwiZXhwIjoxNjIwMTk1OTQ0fQ.NAHcbm9TIB3YmVg-i_nfXf0-B0wMbAoXMSTaAJ-Ke-U' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "gcp-connection"\n}' --compressed

Example Response

{
    "application/json": {
        "id": "85d546eb-7d94-4016-b426-da22890ee8ff",
        "uri": "kylo:kylo:cckm:gcp-key-ring:85d546eb-7d94-4016-b426-da22890ee8ff",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "2021-02-25T07:54:14.949871Z",
        "updatedAt": "2021-02-25T07:54:14.948435Z",
        "project_id": "gemalto-kyloeng",
        "connection": "gcp-connection",
        "name": "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring1",
        "cloud_name": "gcp",
        "parent_id": "1035780943344",
        "parent_type": "folder",
        "project_name": "cckm",
        "organization_name": "organizations/123456789012",
        "organization_display_name": "123456789012"                
    }
}

The output shows the updated details of the Google Cloud key ring with a given ID.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.